package core

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
	"git.akyoto.dev/cli/q/src/build/expression"
)

// OverwritesRegister returns true if evaluating the expression would overwrite the given register.
func OverwritesRegister(expr *expression.Expression, register cpu.Register) bool {
	return !expr.IsLeaf()
}
